<bugID>1278757<Summary>[meta] Toggling RDM can be slow, especially on complex sites</Summary><Description>From :ochameau's comments in bug 1240900:

* Still see various steps while switching on/off RDM. Feels junky. Very junky on some sites.
Like http://edition.cnn.com/ 
When switching it on, you first see the website with desktop layout appear in the RDM, but then after a bit, it switches to a mobile layout (without the menu label on the top black header).
Is there a resize handler? or is this just CSS being recomputed? If that's the later it would be great to wait for it to be recomputed before showing the website. There is no point in showing the Desktop one with such a blinking effect.
Same thing when switching it off, you see the mobile layout in a full tab, and then, only after a bit it resizes.</Description></bugID>